LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XFormsSupplier2 Interface Reference

extends the XFormsSupplier with convenience methods More...

`import"XFormsSupplier2.idl";`

Inheritance diagram for XFormsSupplier2:

## Public Member Functions
boolean | hasForms ()
| determines whether there are currently forms available at all More...
Public Member Functions inherited from XFormsSupplier
com::sun::star::container::XNameContainer | getForms ()
| accesses the forms. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

extends the XFormsSupplier with convenience methods

## Member Function Documentation

## ◆ hasForms()

boolean hasForms | ( |  | ) |

determines whether there are currently forms available at all

If you need read access to the forms collection, then you might check the existence of forms using hasForms(), and if it returns `FALSE`, you can do as if XFormsSupplier::getForms() would have returned an empty container.

Semantically, hasForms() is equivalent to calling XElementAccess::hasElements() on the container returned by XFormsSupplier::getForms(). But when using the latter, the implementation is forced to create an empty container, which might be potentially expensive.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XFormsSupplier2.idl